Bug 138099 - [patch] port devel/cvs2svn update to version 2.3.0
Summary: [patch] port devel/cvs2svn update to version 2.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-23 14:30 UTC by Olli Hauer
Modified: 2009-12-10 05:10 UTC (History)
1 user (show)

See Also:


Attachments
patch_cvs2svn-2.3.0.txt (6.64 KB, text/plain)
2009-08-23 14:30 UTC, Olli Hauer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer 2009-08-23 14:30:06 UTC
Version 2.3.0 (22 August 2009)
------------------------------

 New features:
 * Add a "cvs2git" script for starting conversions to git (or Mercurial).
 * Add a "cvs2bzr" script for starting conversions to Bazaar.
 * Generate manual pages automatically via new --man option.
 * Allow --mime-types and --auto-props options to be specified more than once.
 * Support author transforms when converting to Subversion.
 * Allow unlabeled branches to be renamed using SymbolTransforms.

 Bugs fixed:
 * cvs2git with non-inline blobs: a revision after a delete could be empty.
 * Fix timezone handling under Windows (which does not respect TZ variable).
 * Do path comparisions platform-independently in symbol transform classes.
 * Fix https://bugs.launchpad.net/pld-linux/+bug/385920

 Improvements and output changes:
 * Output error message if a revision's deltatext is missing.
 * Improve contrib/verify-cvs2svn.py (used for testing conversion accuracy).

 Miscellaneous:
 * Add an IgnoreSymbolTransform class, for ignoring symbols matching a regexp.
 * Remove some DeprecationWarnings when running under newer Python versions.


Additional install 
 - cvs2(bzr|git|hg|svn)-example.options to ${EXAMPLESDIR}
 - files from doc and www to ${DOCSDIR}
Comment 1 Edwin Groothuis freebsd_committer 2009-08-23 14:30:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olli Hauer 2009-08-23 18:33:14 UTC
Please apply this patch after the first patch.
The patch use the new bsd.options.mk include

If you like I can send a full diff for the Makefile


//olli

--- patch_cvs2svn-2.3.0_Makefile_options.txt begins here ---
--- Makefile
+++ Makefile
@@ -23,7 +23,7 @@
 		BAZAAR "Build with Bazaar support" off \
 		MERCURIAL "Build with Mercurial support" off
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if defined(WITHOUT_SUBVERSION) && defined(WITHOUT_GIT) && defined(WITHOUT_BAZAAR) && defined(WITHOUT_MERCURIAL)
 IGNORE=	choose at least one or more options from subversion, git, bazaar or mercurial
@@ -98,4 +98,4 @@
 	@${INSTALL_DATA} ${WRKSRC}/cvs2svn-example.options ${EXAMPLESDIR}/
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
--- patch_cvs2svn-2.3.0_Makefile_options.txt ends here ---
Comment 3 Olli Hauer 2009-10-11 09:06:40 UTC
Please commit PR 138099

PR is open now since Aug 2009

- parts of cvs2svn are broken with python26 (default python now)
- it includes patches I send to the cvs2svn developers.
- port is feature save, new parts are optional

olli
Comment 4 Philip M. Gollucci freebsd_committer 2009-12-10 05:00:25 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2009-12-10 05:00:25 UTC
pgollucci    2009-12-10 05:00:11 UTC

  FreeBSD ports repository

  Modified files:
    devel/cvs2svn        Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Update to 2.3.0 [1]
  - Pet portlint
  
  PR:             ports/138099
  Submitted by:   olli hauer <ohauer@gmx.de>
  
  Revision  Changes    Path
  1.25      +46 -8     ports/devel/cvs2svn/Makefile
  1.14      +3 -3      ports/devel/cvs2svn/distinfo
  1.3       +5 -3      ports/devel/cvs2svn/pkg-descr
  1.7       +19 -0     ports/devel/cvs2svn/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"